<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="table-tests">
  
  <test name="added-table">
    <parameter name="name" value="added-table"/>
    <parameter name="dir" value="test/tables/added-table"/>
    <parameter name="trackedFile" value="added-table-tracked.odt"/>
    <parameter name="versions" value="added-table-v1.odt,added-table-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="deleted-table">
    <parameter name="name" value="deleted-table"/>
    <parameter name="dir" value="test/tables/deleted-table"/>
    <parameter name="trackedFile" value="deleted-table-tracked.odt"/>
    <parameter name="versions" value="deleted-table-v1.odt,deleted-table-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="added-row">
    <parameter name="name" value="added-row"/>
    <parameter name="dir" value="test/tables/added-row"/>
    <parameter name="trackedFile" value="added-row-tracked.odt"/>
    <parameter name="versions" value="added-row-v1.odt,added-row-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="deleted-row">
    <parameter name="name" value="deleted-row"/>
    <parameter name="dir" value="test/tables/deleted-row"/>
    <parameter name="trackedFile" value="deleted-row-tracked.odt"/>
    <parameter name="versions" value="deleted-row-v1.odt,deleted-row-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="added-column">
    <parameter name="name" value="added-column"/>
    <parameter name="dir" value="test/tables/added-column"/>
    <parameter name="trackedFile" value="added-column-tracked.odt"/>
    <parameter name="versions" value="added-column-v1.odt,added-column-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="deleted-column">
    <parameter name="name" value="deleted-column"/>
    <parameter name="dir" value="test/tables/deleted-column"/>
    <parameter name="trackedFile" value="deleted-column-tracked.odt"/>
    <parameter name="versions" value="deleted-column-v1.odt,deleted-column-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="cell-merge-horizontal">
    <parameter name="name" value="cell-merge-horizontal"/>
    <parameter name="dir" value="test/tables/cell-merge-horizontal"/>
    <parameter name="trackedFile" value="cell-merge-horizontal-tracked.odt"/>
    <parameter name="versions" value="cell-merge-horizontal-v1.odt,cell-merge-horizontal-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="cell-merge-vertical">
    <parameter name="name" value="cell-merge-vertical"/>
    <parameter name="dir" value="test/tables/cell-merge-vertical"/>
    <parameter name="trackedFile" value="cell-merge-vertical-tracked.odt"/>
    <parameter name="versions" value="cell-merge-vertical-v1.odt,cell-merge-vertical-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="cell-split-horizontal">
    <parameter name="name" value="cell-split-horizontal"/>
    <parameter name="dir" value="test/tables/cell-split-horizontal"/>
    <parameter name="trackedFile" value="cell-split-horizontal-tracked.odt"/>
    <parameter name="versions" value="cell-split-horizontal-v1.odt,cell-split-horizontal-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="cell-split-vertical">
    <parameter name="name" value="cell-split-vertical"/>
    <parameter name="dir" value="test/tables/cell-split-vertical"/>
    <parameter name="trackedFile" value="cell-split-vertical-tracked.odt"/>
    <parameter name="versions" value="cell-split-vertical-v1.odt,cell-split-vertical-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>